net.minecraft.world.biome

## Class BiomeGenBase

- java.lang.Object
- - net.minecraft.world.biome.BiomeGenBase

- Direct Known Subclasses:
    BiomeGenBeach, BiomeGenDesert, BiomeGenEnd, BiomeGenForest, BiomeGenHell, BiomeGenHills, BiomeGenJungle, BiomeGenMushroomIsland, BiomeGenOcean, BiomeGenPlains, BiomeGenRiver, BiomeGenSnow, BiomeGenSwamp, BiomeGenTaiga

      public abstract class BiomeGenBase
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static BiomeGenBase` | `beach` Beach biome.
    `int` | `biomeID` The id number to this biome, and its index in the biomeList array.
    `static BiomeGenBase[]` | `biomeList` An array of all the biomes, indexed by biome id.
    `String` | `biomeName`
    `int` | `color`
    `static BiomeGenBase` | `desert`
    `static BiomeGenBase` | `desertHills` Desert Hills biome.
    `static BiomeGenBase` | `extremeHills`
    `static BiomeGenBase` | `extremeHillsEdge` Extreme Hills Edge biome.
    `int` | `field_76754_C`
    `byte` | `fillerBlock` The block to fill spots in when not on the top
    `static BiomeGenBase` | `forest`
    `static BiomeGenBase` | `forestHills` Forest Hills biome.
    `static BiomeGenBase` | `frozenOcean`
    `static BiomeGenBase` | `frozenRiver`
    `static BiomeGenBase` | `hell`
    `static BiomeGenBase` | `iceMountains`
    `static BiomeGenBase` | `icePlains`
    `static BiomeGenBase` | `jungle` Jungle biome identifier
    `static BiomeGenBase` | `jungleHills`
    `float` | `maxHeight` The maximum height of this biome.
    `float` | `minHeight` The minimum height of this biome.
    `static BiomeGenBase` | `mushroomIsland`
    `static BiomeGenBase` | `mushroomIslandShore`
    `static BiomeGenBase` | `ocean`
    `static BiomeGenBase` | `plains`
    `float` | `rainfall` The rainfall in this biome.
    `static BiomeGenBase` | `river`
    `static BiomeGenBase` | `sky` Is the biome used for sky world.
    `static BiomeGenBase` | `swampland`
    `static BiomeGenBase` | `taiga`
    `static BiomeGenBase` | `taigaHills` Taiga Hills biome.
    `float` | `temperature` The temperature of this biome.
    `BiomeDecorator` | `theBiomeDecorator` The biome decorator.
    `byte` | `topBlock` The block expected to be on the top of this biome
    `int` | `waterColorMultiplier` Color tint applied to water depending on biome

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BiomeGenBase(int par1)`
    `BiomeGenBase(int par1, boolean register)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canSpawnLightningBolt()` Return true if the biome supports lightning bolt spawn, either by have the bolts enabled and have rain enabled.
    `BiomeDecorator` | `createBiomeDecorator()` Allocate a new BiomeDecorator for this BiomeGenBase
    `void` | `decorate(World par1World, Random par2Random, int par3, int par4)`
    `BiomeGenBase` | `func_76733_a(int par1)`
    `int` | `getBiomeFoliageColor()`
    `int` | `getBiomeGrassColor()`
    `boolean` | `getEnableSnow()` Returns true if the biome have snowfall instead a normal rain.
    `float` | `getFloatRainfall()`
    `float` | `getFloatTemperature()` Gets a floating point representation of this biome's temperature
    `int` | `getIntRainfall()` Gets an integer representation of this biome's rainfall
    `int` | `getIntTemperature()` Gets an integer representation of this biome's temperature
    `BiomeDecorator` | `getModdedBiomeDecorator(BiomeDecorator original)`
    `int` | `getModdedBiomeFoliageColor(int original)`
    `int` | `getModdedBiomeGrassColor(int original)`
    `WorldGenerator` | `getRandomWorldGenForGrass(Random par1Random)` Gets a WorldGen appropriate for this biome.
    `WorldGenerator` | `getRandomWorldGenForTrees(Random par1Random)` Gets a WorldGen appropriate for this biome.
    `int` | `getSkyColorByTemp(float par1)`
    `List` | `getSpawnableList(EnumCreatureType par1EnumCreatureType)` Returns the correspondent list of the EnumCreatureType informed.
    `float` | `getSpawningChance()` returns the chance a creature has to spawn.
    `int` | `getWaterColorMultiplier()`
    `boolean` | `isHighHumidity()` Checks to see if the rainfall level of the biome is extremely high
    `BiomeGenBase` | `setBiomeName(String par1Str)`
    `BiomeGenBase` | `setColor(int par1)`
    `BiomeGenBase` | `setDisableRain()` Disable the rain for the biome.
    `BiomeGenBase` | `setEnableSnow()` sets enableSnow to true during biome initialization.
    `BiomeGenBase` | `setMinMaxHeight(float par1, float par2)` Sets the minimum and maximum height of this biome.
    `BiomeGenBase` | `setTemperatureRainfall(float par1, float par2)` Sets the temperature and rainfall of this biome.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### biomeList

          public static final BiomeGenBase[] biomeList

      An array of all the biomes, indexed by biome id.

    - #### ocean

          public static final BiomeGenBase ocean

    - #### plains

          public static final BiomeGenBase plains

    - #### desert

          public static final BiomeGenBase desert

    - #### extremeHills

          public static final BiomeGenBase extremeHills

    - #### forest

          public static final BiomeGenBase forest

    - #### taiga

          public static final BiomeGenBase taiga

    - #### swampland

          public static final BiomeGenBase swampland

    - #### river

          public static final BiomeGenBase river

    - #### hell

          public static final BiomeGenBase hell

    - #### sky

          public static final BiomeGenBase sky

      Is the biome used for sky world.

    - #### frozenOcean

          public static final BiomeGenBase frozenOcean

    - #### frozenRiver

          public static final BiomeGenBase frozenRiver

    - #### icePlains

          public static final BiomeGenBase icePlains

    - #### iceMountains

          public static final BiomeGenBase iceMountains

    - #### mushroomIsland

          public static final BiomeGenBase mushroomIsland

    - #### mushroomIslandShore

          public static final BiomeGenBase mushroomIslandShore

    - #### beach

          public static final BiomeGenBase beach

      Beach biome.

    - #### desertHills

          public static final BiomeGenBase desertHills

      Desert Hills biome.

    - #### forestHills

          public static final BiomeGenBase forestHills

      Forest Hills biome.

    - #### taigaHills

          public static final BiomeGenBase taigaHills

      Taiga Hills biome.

    - #### extremeHillsEdge

          public static final BiomeGenBase extremeHillsEdge

      Extreme Hills Edge biome.

    - #### jungle

          public static final BiomeGenBase jungle

      Jungle biome identifier

    - #### jungleHills

          public static final BiomeGenBase jungleHills

    - #### biomeName

          public String biomeName

    - #### color

          public int color

    - #### topBlock

          public byte topBlock

      The block expected to be on the top of this biome

    - #### fillerBlock

          public byte fillerBlock

      The block to fill spots in when not on the top

    - #### field_76754_C

          public int field_76754_C

    - #### minHeight

          public float minHeight

      The minimum height of this biome. Default 0.1.

    - #### maxHeight

          public float maxHeight

      The maximum height of this biome. Default 0.3.

    - #### temperature

          public float temperature

      The temperature of this biome.

    - #### rainfall

          public float rainfall

      The rainfall in this biome.

    - #### waterColorMultiplier

          public int waterColorMultiplier

      Color tint applied to water depending on biome

    - #### theBiomeDecorator

          public BiomeDecorator theBiomeDecorator

      The biome decorator.

    - #### biomeID

          public final int biomeID

      The id number to this biome, and its index in the biomeList array.

  - ### Constructor Detail

    - #### BiomeGenBase

          public BiomeGenBase(int par1)

    - #### BiomeGenBase

          public BiomeGenBase(int par1,
                      boolean register)

  - ### Method Detail

    - #### createBiomeDecorator

          public BiomeDecorator createBiomeDecorator()

      Allocate a new BiomeDecorator for this BiomeGenBase

    - #### setTemperatureRainfall

          public BiomeGenBase setTemperatureRainfall(float par1,
                                            float par2)

      Sets the temperature and rainfall of this biome.

    - #### setMinMaxHeight

          public BiomeGenBase setMinMaxHeight(float par1,
                                     float par2)

      Sets the minimum and maximum height of this biome. Seems to go from -2.0 to 2.0.

    - #### setDisableRain

          public BiomeGenBase setDisableRain()

      Disable the rain for the biome.

    - #### getRandomWorldGenForTrees

          public WorldGenerator getRandomWorldGenForTrees(Random par1Random)

      Gets a WorldGen appropriate for this biome.

    - #### getRandomWorldGenForGrass

          public WorldGenerator getRandomWorldGenForGrass(Random par1Random)

      Gets a WorldGen appropriate for this biome.

    - #### setEnableSnow

          public BiomeGenBase setEnableSnow()

      sets enableSnow to true during biome initialization. returns BiomeGenBase.

    - #### setBiomeName

          public BiomeGenBase setBiomeName(String par1Str)

    - #### func_76733_a

          public BiomeGenBase func_76733_a(int par1)

    - #### setColor

          public BiomeGenBase setColor(int par1)

    - #### getSkyColorByTemp

          public int getSkyColorByTemp(float par1)

    - #### getSpawnableList

          public List getSpawnableList(EnumCreatureType par1EnumCreatureType)

      Returns the correspondent list of the EnumCreatureType informed.

    - #### getEnableSnow

          public boolean getEnableSnow()

      Returns true if the biome have snowfall instead a normal rain.

    - #### canSpawnLightningBolt

          public boolean canSpawnLightningBolt()

      Return true if the biome supports lightning bolt spawn, either by have the bolts enabled and have rain enabled.

    - #### isHighHumidity

          public boolean isHighHumidity()

      Checks to see if the rainfall level of the biome is extremely high

    - #### getSpawningChance

          public float getSpawningChance()

      returns the chance a creature has to spawn.

    - #### getIntRainfall

          public final int getIntRainfall()

      Gets an integer representation of this biome's rainfall

    - #### getIntTemperature

          public final int getIntTemperature()

      Gets an integer representation of this biome's temperature

    - #### getFloatRainfall

          public final float getFloatRainfall()

    - #### getFloatTemperature

          public final float getFloatTemperature()

      Gets a floating point representation of this biome's temperature

    - #### decorate

          public void decorate(World par1World,
                      Random par2Random,
                      int par3,
                      int par4)

    - #### getBiomeGrassColor

          public int getBiomeGrassColor()

    - #### getBiomeFoliageColor

          public int getBiomeFoliageColor()

    - #### getModdedBiomeDecorator

          public BiomeDecorator getModdedBiomeDecorator(BiomeDecorator original)

    - #### getWaterColorMultiplier

          public int getWaterColorMultiplier()

    - #### getModdedBiomeGrassColor

          public int getModdedBiomeGrassColor(int original)

    - #### getModdedBiomeFoliageColor

          public int getModdedBiomeFoliageColor(int original)